Subject: [Sip] Comments on privacy-guidelines-00

From: "Elwell, John" <[email-masked]>
Date: Fri, 20 Jul 2007 15:36:24 +0100

Mayumi,

I have looked through the privacy-guidelines document and have the
following comments.

1. I was not aware of TISPAN use of priv-values other than "id". This
does indeed give greater justification for this draft, but I would
recommend you seek review from a couple of TISPAN experts.

2. Should this in fact be targeted as a BCP?

3. There seems to be no mention of impact on event packages whose
notifications might convey information that has been anonymized or
removed. I am thinking in particular about Call-Id and the Dialog event
package, where an anonymizer would need to intervene. Of course, in this
particular case, problems can be avoided by not authorizing subscription
- I don't know whether this is a good enough solution.

4. The Join header field is subject to the same issues as Replaces and
Target-Dialog.

Otherwise it looks to be in good shape.

John

> -----Original Message-----
> From: Mayumi Munakata [mailto:[email-masked]] 
> Sent: 19 July 2007 11:03
> To: Elwell, John
> Cc: [email-masked]; [email-masked]
> Subject: Re: draft-munakata-sip-privacy-new/guideline
> 
> John,
> 
> Thank you for the comments for the privacy drafts.
> See inline.
> 
> > [JRE] I guess the question we have to ask is whether there are
> > substantical interoperability problems with RFC 3323. As 
> the only value
> > that seems to be used in practice is 'id', rules are fairly
> > straightforward.
> 
> TISPAN specs are actually using other priv-values such as 
> 'user' and 'header'.  An interoperability problem could 
> occur because of different interpretations of priv-values.
> 
> > One concern, however, is with 'history'. I don't know 
> whether this is
> > implemented in practice. RFC 4244 allows a proxy to insert 
> this value.
> > So whilst privacy-new defines a new way for UAs to ensure 
> privacy and
> > should in the longer term lead to a move away from the 
> Privacy header
> > field (depending on what is used for the privacy flag), 
> what will happen
> > to proxy use of Privacy: history?
> 
> The privacy flag to be defined in the privacy-new draft 
> will be a request for proxies to delete History-Info headers 
> on the edge of Trust Domain.
> However, as you say, 'history' privacy is usually requested
> by a proxy for the purpose of topology hiding.
> The "privacy" in this new mechanism means the "user-privacy" 
> so the "network-privacy" (topology hiding) may be out of scope.
> 
> Thanks,
> Mayumi
> 
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip